<?php
if (!defined('ABSPATH')) {
    exit;
}

$url = esc_url(get_the_permalink());
$title = get_the_title();
$title = urlencode($title);

?>
<div class="share-post">
    <?php if (get_theme_mod('nmd_share_facebook', true)) : ?>
        <a href="http://www.facebook.com/share.php?u=<?php echo $url; ?>&t=<?php echo $title; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/fb.svg" ?>" alt="<?php _e('Facebook', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
    <?php if (get_theme_mod('nmd_share_twitter', true)) : ?>
        <a href="http://twitter.com/share?url=<?php echo $url; ?>&text=<?php echo $title; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/tw.svg" ?>" alt="<?php _e('Twitter', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
    <?php if (get_theme_mod('nmd_share_pocket', true)) : ?>
        <a href="//getpocket.com/edit?url=<?php echo $url; ?>&title=<?php echo $title; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/pk.svg" ?>" alt="<?php _e('Pocket', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
    <?php if (get_theme_mod('nmd_share_line', true)) : ?>
        <a href="https://timeline.line.me/social-plugin/share?url=<?php echo $url; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/line.svg" ?>" alt="<?php _e('LINE', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
    <?php if (get_theme_mod('nmd_share_pinterest', true)) : ?>
        <a href="//jp.pinterest.com/pin/create/button/?url=<?php echo $url; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/pin.svg" ?>" alt="<?php _e('Pinterest', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
    <?php if (get_theme_mod('nmd_share_hatebu', true)) : ?>
        <a href="https://b.hatena.ne.jp/entry/<?php echo $url; ?>" class="share-post__item">
            <img src="<?php echo  NMD_TEMPLATE_URI . "/assets/img/icon/share/b.svg" ?>" alt="<?php _e('はてなブックマーク', NMD_TEXT_DOMAIN); ?>" width="42" height="42">
        </a>
    <?php endif; ?>
</div>